<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Reservoir</TITLE>
<META NAME="description" CONTENT="Reservoir">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node110.html">
<LINK REL="previous" HREF="node108.html">
<LINK REL="up" HREF="node101.html">
<LINK REL="next" HREF="node110.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html2297"
  HREF="node110.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2293"
  HREF="node101.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2287"
  HREF="node108.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2295"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2298"
  HREF="node110.html">Contraction</A>
<B> Up:</B> <A NAME="tex2html2294"
  HREF="node101.html">Fluid Section Types: Open</A>
<B> Previous:</B> <A NAME="tex2html2288"
  HREF="node108.html">Discontinuous Opening</A>
 &nbsp; <B>  <A NAME="tex2html2296"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION00076800000000000000">
Reservoir</A>
</H3>

<P>
A reservoir is a downstream boundary condition. The reservoir element
represents the part of the channel immediately upstream of the (usually vast)
reservoir. Since the backwater curve may change substantially in the
neighborhood of the reservoir it is advisable to choose the length of the
reservoir element to be small compared to the length of the channel branch it
is part of. The following constants have to be specified on the
line beneath the *FLUID SECTION,TYPE=CHANNEL RESERVOIR card:

<P>

<UL>
<LI>the width <IMG
 WIDTH="11" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img261.png"
 ALT="$ b$">
</LI>
<LI>the slope <!-- MATH
 $S_0 = \sin \phi$
 -->
<IMG
 WIDTH="74" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img545.png"
 ALT="$ S_0= \sin \phi$"> (if <IMG
 WIDTH="63" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img546.png"
 ALT="$ S_0&lt;-1$"> the slope is calculated from the
  coordinates of the end nodes belonging to the element)
</LI>
<LI>the length <IMG
 WIDTH="15" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img246.png"
 ALT="$ L$"> (if <IMG
 WIDTH="45" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img555.png"
 ALT="$ L \le 0$"> the length is calculated from the
  coordinates of the end nodes belonging to the element)
</LI>
<LI>the trapezoid angle <IMG
 WIDTH="12" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img151.png"
 ALT="$ \theta$">
</LI>
<LI>the grain diameter <IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img384.png"
 ALT="$ k_s$"> for the White-Colebrook law or the Manning
  constant <IMG
 WIDTH="14" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img484.png"
 ALT="$ n$"> for the Manning law (in the latter case the user has to specify
  the parameter MANNING on the *FLUID SECTION card)
</LI>
<LI>the number of the upstream reference element, i.e. the first element of
  the boundary pair upstream of the channel branch connected to the reservoir.
</LI>
</UL>

<P>
The water depth in the downstream node of a reservoir element must be defined
by the user by means of a <A HREF="node192.html#boundary">*BOUNDARY</A> card (degree of
freedom 2).

<P>

<P><P>
<BR>
Example files: channel1, chanson1.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html2297"
  HREF="node110.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2293"
  HREF="node101.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2287"
  HREF="node108.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2295"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2298"
  HREF="node110.html">Contraction</A>
<B> Up:</B> <A NAME="tex2html2294"
  HREF="node101.html">Fluid Section Types: Open</A>
<B> Previous:</B> <A NAME="tex2html2288"
  HREF="node108.html">Discontinuous Opening</A>
 &nbsp; <B>  <A NAME="tex2html2296"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
